package com.ruoyi.syzy.dto;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("填报批次")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ZytbBatch implements java.io.Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("批次")
    private Integer batch;
    @ApiModelProperty("批次名称")
    private String name;
    @ApiModelProperty("年份")
    private String year;
    @ApiModelProperty("文科")
    private Integer score1;
    @ApiModelProperty("理科")
    private Integer score2;
    @ApiModelProperty("是否推荐")
    private Boolean recommand;
    @ApiModelProperty("提示信息")
    private String tips;

    public Integer getBatch() {
        return batch;
    }

    public ZytbBatch setBatch(Integer batch) {
        this.batch = batch;
        return this;
    }

    public String getName() {
        return name;
    }

    public ZytbBatch setName(String name) {
        this.name = name;
        return this;
    }

    public String getYear() {
        return year;
    }

    public ZytbBatch setYear(String year) {
        this.year = year;
        return this;
    }

    public Integer getScore1() {
        return score1;
    }

    public ZytbBatch setScore1(Integer score1) {
        this.score1 = score1;
        return this;
    }

    public Integer getScore2() {
        return score2;
    }

    public ZytbBatch setScore2(Integer score2) {
        this.score2 = score2;
        return this;
    }

    public Boolean getRecommand() {
        return recommand;
    }

    public ZytbBatch setRecommand(Boolean recommand) {
        this.recommand = recommand;
        return this;
    }

    public String getTips() {
        return tips;
    }

    public ZytbBatch setTips(String tips) {
        this.tips = tips;
        return this;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }

}
